{ instancesFunctions }:
let
  inherit (instancesFunctions)
    domain3
    servicePath
    sslPath
    sopsPath
    ;

  label = "Forgejo";
  name = "forgejo";
  subdomain = "source";
  domain = "${subdomain}.${domain3}";
in
{
  label = label;
  name = name;
  email = {
    address0 = "noreply@${domain3}";
  };
  sops = {
    path0 = "${sopsPath}/${name}";
  };
  domains = {
    url0 = domain;
  };
  subdomain = subdomain;
  paths = {
    path0 = "${servicePath}/${label}";
  };
  ports = {
    port0 = 3033;
  };
  ssl = {
    cert = "${sslPath}/${subdomain}.${domain3}/fullchain.pem";
    key = "${sslPath}/${subdomain}.${domain3}/key.pem";
  };
}
