{ instancesFunctions }:
let
  inherit (instancesFunctions)
    domain0
    servicePath
    sslPath
    sopsPath
    ;
  label = "Jellyfin";
  name = "jellyfin";
  domain = "${name}.${domain0}";
in
{
  label = label;
  name = name;
  sops = {
    path0 = "${sopsPath}/${name}";
  };
  domains = {
    url0 = domain;
  };
  subdomain = name;
  paths = {
    path0 = "${servicePath}/${label}";
    path1 = "${servicePath}/${label}/cache";
  };
  ports = {
    port0 = 5055; # Jellyseer
    port1 = 8096; # Jellyfin HTTP
    port2 = 8920; # Jellyfin HTTPS
  };
  ssl = {
    cert = "${sslPath}/${name}.${domain0}/fullchain.pem";
    key = "${sslPath}/${name}.${domain0}/key.pem";
  };
}
