{ instancesFunctions }:
let
  inherit (instancesFunctions)
    domain3
    servicePath
    sslPath
    sopsPath
    ;

  label = "Mastodon";
  name = "mastodon";
  subdomain = "social";
  domain = "${subdomain}.${domain3}";
in
{
  label = label;
  name = name;
  email = {
    address0 = "noreply@${domain3}";
  };
  domains = {
    url0 = domain;
  };
  subdomain = subdomain;
  sops = {
    path0 = "${sopsPath}/${name}";
  };
  paths = {
    path0 = "${servicePath}/${label}";
    path1 = "";
    path2 = "";
  };
  ssl = {
    cert = "${sslPath}/${subdomain}.${domain3}/fullchain.pem";
    key = "${sslPath}/${subdomain}.${domain3}/key.pem";
  };
}
