{ instancesFunctions }:
let
  inherit (instancesFunctions)
    domain0
    servicePath
    sslPath
    sopsPath
    ;

  label = "Minecraft";
  name = "minecraft";
in
{
  label = label;
  name = name;
  sops = {
    path0 = "${sopsPath}/${name}";
  };
  subdomain = name;
  paths = {
    path0 = "${servicePath}/${label}";
  };
  ports = {
    port0 = 43000; # Minecraft (Brix on Nix)
  };
  ssl = {
    cert = "${sslPath}/${name}.${domain0}/fullchain.pem";
    key = "${sslPath}/${name}.${domain0}/key.pem";
  };
}
