{ instancesFunctions }:
let
  inherit (instancesFunctions)
    domain0
    servicePath
    sslPath
    sopsPath
    ;

  label = "Nextcloud";
  name = "nextcloud";
  domain = "${name}.${domain0}";
in
{
  label = label;
  name = name;
  email = {
    address0 = "noreply@${name}.${domain0}";
  };
  sops = {
    path0 = "${sopsPath}/${name}";
  };
  domains = {
    url0 = domain;
  };
  subdomain = name;
  paths = {
    path0 = "${servicePath}/${label}";
  };
  ports = {
    port0 = 8354; # Nextcloud
  };
  ssl = {
    cert = "${sslPath}/${name}.${domain0}/fullchain.pem";
    key = "${sslPath}/${name}.${domain0}/key.pem";
  };
}
