{ instancesFunctions }:
let
  inherit (instancesFunctions)
    domain3
    servicePath
    sslPath
    sopsPath
    ;

  label = "PeerTube";
  name = "peertube";
  subdomain = "video";
  domain = "${subdomain}.${domain3}";
in
{
  label = label;
  name = name;
  email = {
    address0 = "noreply@${domain3}";
  };
  sops = {
    path0 = "${sopsPath}/${name}";
  };
  domains = {
    url0 = domain;
  };
  subdomain = subdomain;
  paths = {
    path0 = "${servicePath}/${label}";
  };
  ports = {
    port0 = 9000; # HTTP
    port1 = 1935;
    port2 = 1936;
    port3 = 5432;
    port4 = 52800;
  };
  ssl = {
    cert = "${sslPath}/${subdomain}.${domain3}/fullchain.pem";
    key = "${sslPath}/${subdomain}.${domain3}/key.pem";
  };
}
