{ instancesFunctions }:
let
  inherit (instancesFunctions)
    domain0
    servicePath
    sslPath
    sopsPath
    ;

  label = "Podgrab";
  name = "podgrab";
  subdomain = "podcasts";
  domain = "${subdomain}.${domain0}";
in
{
  label = label;
  name = name;
  sops = {
    path0 = "${sopsPath}/${name}";
  };
  domains = {
    url0 = domain;
  };
  subdomain = name;
  paths = {
    path0 = "${servicePath}/${label}";
  };
  ports = {
    port0 = 4242;
  };
  ssl = {
    cert = "${sslPath}/${name}.${domain0}/fullchain.pem";
    key = "${sslPath}/${name}.${domain0}/key.pem";
  };
}
