{ instancesFunctions }:
let
  inherit (instancesFunctions)
    domain3
    servicePath
    sslPath
    sopsPath
    ;

  label = "Postfix";
  name = "postfix";
  domain = "${name}.${domain3}";
in
{
  label = label;
  name = name;
  sops = {
    path0 = "${sopsPath}/${name}";
  };
  domains = {
    url0 = domain;
  };
  subdomain = name;
  paths = {
    path0 = "${servicePath}/${label}";
  };
  ssl = {
    cert = "${sslPath}/${domain3}/fullchain.pem";
    key = "${sslPath}/${domain3}/key.pem";
  };
}
